SEP
19
2001

KDE 2.2.1 Goes Live

The KDE Project has just released KDE 2.2.1. Though a week and a few days late, I am happy to report that the delay made this (perhaps the last stable release of the KDE 2 series) better. Read the announcement or go straight to the source. Please note that some of the packages -- RedHat and Yellow Dog spring to mind -- were uploaded late and may take some time to sync to the mirrors. Also, there were some problems identified with some i18n packages late yesterday; these problems are being corrected, so if the i18n package you want is missing or broken, please check back in a few days. Update, Wednesday September 19, @08:22PM: Mandrake has advised its users to (i) update to "cooker", the
development version of Mandrake 8.1, which has KDE-2.2.1 packages
here; (ii) update to the release candidate of Mandrake 8.1 (please visit here for more info); or (iii) wait for the official packages, which should be available next week. Also, for those who have not read the announcement, I should highlight that TurboLinux has announced that they have made KDE the default desktop in the next TurboLinux Workstation release.

Comments

Downloaded this earlier today from Redhat Rawhide (minus kdemultimedia and kdeutils for some reason) - and it is a definite improvement on 2.2. It feels much faster, and finally the last piece of my online finances (my credit card company's web page) works in Konqueror!

My only gripe is that even after people complained here - the Redhat packager still didn't compile in CUPS support into the binaries, so I had to rebuild kdelibs myself. Oh well.

Keep up the hard work!


By Dr_LHA at Wed, 2001/09/19 - 5:00am

Yes !
it seems Konqueror renders a little bit faster, JavaScript improved a little bit again.

Pretty cool :)


By Stoerung at Wed, 2001/09/19 - 5:00am

Does anyone know how to get the games at games.yahoo.com to work in Konqueror. It works fine in Netscape...

Lars


By Lars at Wed, 2001/09/19 - 5:00am

Works for me. Do you have java installed?


By Dr_LHA at Wed, 2001/09/19 - 5:00am

how can i install java?
i went to the website and clicked to download it but it said i didnt have enough memory when at least 75% of my computer is free


By Someone at Fri, 2004/03/12 - 6:00am

A new record? A response to a post I made 2 1/2 years ago? :)


By Dr_LHA at Sat, 2004/03/13 - 6:00am

i have been looking for a site or possibly obtaining software for both my husband and myself enabling us to play...
unfortunately we are both tech challenged...
i have started fooling around,attempting to enter sites, however i am told that i have to change configurations...
not up to that speed just yet...
s.o.s.: please assist


By eleni at Sat, 2002/10/12 - 5:00am

i want to play ya;hoo bridge on line with an alias how do i do this and get started


By scott dvereaux at Thu, 2005/11/17 - 6:00am

Will someone tell me what happened? I get a drop down telling me there are four reasons why I cannot get on yahoo bridge including server is down but that cannot be it because people are on.

I am behind a firewall, or there is a cache page, etc...

What to do?


By Niki at Sun, 2008/04/20 - 5:00am

Will someone tell me what happened? I get a drop down telling me there are four reasons why I cannot get on yahoo bridge including server is down but that cannot be it because people are on.

I am behind a firewall, or there is a cache page, etc...

What to do?


By Niki at Sun, 2008/04/20 - 5:00am

I can not get on bridge game. why?


By tnschmidt1 at Tue, 2003/01/14 - 6:00am

what is the problem we have tried everythinmg even got new computer


By sara at Sun, 2005/02/20 - 6:00am

I'm guessing that Bero didn't compile in CUPS support because CUPS unfortunately won't be part of RedHat 7.2.

-Karl


By Karl Garrison at Wed, 2001/09/19 - 5:00am

lets hope it will be in 8.0


By Jeremy Petzold at Wed, 2001/09/19 - 5:00am

/usr/lib/kde2/libkdeprint_cups.so id 250k after I compiled it (and that was without --enable-final). I don't think it would be such a stretch to include it as standard.

Whatever - I guess Redhat's policy is to:

a) Provide RPMS that work with stock redhat and nothing else
b) To provide only update packages based on security, and leave major updates for the next RH release (presumably why 2.2.1 RPMs are build against Roswell).

I can live with that - it's annoying - but In many ways it's better to leave people using the stable 2.1.1 than bump them up to the less stable 2.2.


By Dr_LHA at Wed, 2001/09/19 - 5:00am

Why is the announcement on kde.com and not kde.org?


By Someone at Wed, 2001/09/19 - 5:00am

Please, somebody post here when/where (IF) the RPM packages will appear for us RedHat6.2 users.
If not, is it safe installing the 7.1/2 ? [Posting from KDE2.1]

Second point: upgrade instructions are the same as usual?

Thanks


By Alessandro Magni at Wed, 2001/09/19 - 5:00am

Depends....
If you plan a clean install, go ahead, and after installing redhat 7.1 upgrade from rawhide (or install 7.2 direct).
If you plan to upgrade... forget! Upgrade dosen't work well on 7.1 from 6.2 (I know what I'm talking about!) and a lot of things aren't upgraded as it should, and more stop working.
This is IHMO the answer :)


By Iuri Fiedoruk at Wed, 2001/09/19 - 5:00am

I doubt anyone will bother making RedHat 6.2 RPMs. I'd recommend you upgrade, but I'd wait for 7.2 since this version will be coming out soon, I'm guessing, and it'll have 2.2.1 already installed.

-Karl


By Karl Garrison at Wed, 2001/09/19 - 5:00am

I always liked Linux best, compared to others, since it wont force you into the format HD - install new version sequence every time.

Why cant I find out the new software requirements of RH7.1 and install them? I mean, I already upgraded to RPM4.0, and many other things...

I have too many tweaks on my PC, made during the years, and I dont want to spend all my time redoing everything.


By Alessandro Magni at Thu, 2001/09/20 - 5:00am

try rebuilding it from the .src.rpms
that way you get rpms made specifically
for YOUR computer. yes, it is a pain, but
redhat 6.2 is over a year old. The first
things I would do is remove all your existing
kde and qt rpms, then install the latest
qt and all the required libs preferably thru
rpms. and then try the kde ones. yes, its
a bitch, and you might have to tweak the
spec files, but then for sure you'll know it
works and you wont have to upgrade to the
latest redhat either.


By gabriel at Thu, 2001/09/20 - 5:00am

Didn't they make packages for Mandrake 8.0?


By renaud at Wed, 2001/09/19 - 5:00am

They will provide MAndrake 8.0 packages 2 weeks after 8.1 is out


By ac at Wed, 2001/09/19 - 5:00am

Tehn it won't interrest me anymore as I would have upgraded to 8.1, does finalizing Raklet take them so much time?


By renaud at Wed, 2001/09/19 - 5:00am

Then it won't interrest me anymore as I would have upgraded to 8.1, does finalizing Raklet take them so much time?


By renaud at Wed, 2001/09/19 - 5:00am

when come out mandrake 8.1? the rc1 is already on the ftp-server.


By ar at Wed, 2001/09/19 - 5:00am

Today, on the cooker list, Laurent Montel(IIRC) mentioned something along the lines of "we have one week t finish 8.1", so I take it as "Very soon"


By A Sad Person at Wed, 2001/09/19 - 5:00am

... All valued updates for MDK usualy released after official announce...


By Zaufi at Wed, 2001/09/19 - 5:00am

will they have the kde 2.2.1 in the release version of 8.1 as I don't want to install a buggy kde 2.2.0 on my system when I upgrade my 8.0 to 8.1 ..


By harold at Wed, 2001/09/19 - 5:00am

Yes, they will. RC1 contains KDE 2.2.1


By Alexander Skwar at Wed, 2001/09/19 - 5:00am

The announcement talked about the most recent distros, but I do not see packages for Red Hat 7.1; I only see roswell ones. Note the sillyness in building a STABLE release of KDE 2.2.1 against an UNSTABLE distro. This speaks volumes about the absolute contempt in which Red Hat has both its users and the KDE project.

At least, RH is now honest and does not attempt to disguise their roswell packaging with a deceptive "7.x" label.


By Eduardo Sanchez at Wed, 2001/09/19 - 5:00am

On some mirrors there are directories for both Roswell and 7.1, but the 7.1 directory is empty on all the mirrors I checked. This might mean that there is a KDE 2.2.1 for the stable Red Hat coming up later.

I didn't wait for it, though, and installed the Roswell version, which works great. BTW, don't install the KDE 2.2.1 rpms when KDE is up and running. I did, and messed up my system. Removing all KDE rpms and installing them again fixed the situation. Also note that an updated kdemultimedia rpm doesn't seem to be available, although the KDE crew has released a 2.2.1 version of that too. Maybe the mirrors are just not yet up-to-date.

Anyways, great job, KDE crew!


By Janne S at Wed, 2001/09/19 - 5:00am

I was right, the mirrors haven't yet mirrored everything. Rawhide has the missing kdemultimedia, as well as all the other KDE 2.2.1 you might not find on your closest mirror. These are for Roswell, not for RH 7.1, naturally, but they work great especially if you have already installed the Roswell packages of KDE 2.2.

Rawhide URL:
ftp://rpmfind.net/linux/redhat/7.1/en/os/i386/RedHat/RPMS/


By Janne S at Wed, 2001/09/19 - 5:00am

Wrong URL, sorry! This is the correct Rawhide URL:

http://www.redhat.com/apps/download/beta/rhl.html

I also mixed up kdemultimedia-2.1.1 with 2.2.1... Argh! I'm not quite suer anymore that there is an updated rpm for kdemultimedia at all... Have to keed searching...

-Confused Janne


By Janne S at Wed, 2001/09/19 - 5:00am

Well, it's hardly because of "contempt"...

Read what bero from Red Hat said about it:
http://slashdot.org/comments.pl?sid=21755&cid=2318988

But maybe this Ben guy would be nice enough to do what he did with 2.2 :)
(http://www.opennms.org/~ben/kde2.2)


By Joni K. at Wed, 2001/09/19 - 5:00am

Actually, I'm working on it... gonna build for 7.0 (!) since we have a number of people still on 7.0 in the office. No guarantees as to when I'll finish, but I'm grabbing the rawhide packages right now and I'm gonna start compiling on our quad-xeon build box shortly.

Maybe I'll do 6.2 when I'm done. =)


By Ranger Rick at Wed, 2001/09/19 - 5:00am

Thanks!!!! I'll wait for your packages ! It is so hard for RH people to do so?


By Eduardo Sanchez at Wed, 2001/09/19 - 5:00am

Yes, kind of.

Since you didn't bother to read the link the first time, I won't point it out again.

" I realize that this might be causing problems for some people, but there reasons are simple: timing issues.

Try maintaining 215 packages while not giving up your own devel projects, and you'll know what I mean.

If a day had 48 hours, I'd of course provide RPMs for 7.1, 7.0 and probably even 6.x - but the way things are now, I simply don't have the time to set up boxes with old systems to rebuild the packages and work around legacy compiler bugs (egcs 1.1.x is a pain).

If you want to rebuild them, feel free to do so. In the mean time, I think it's more important to have a nice KDE in the upcoming release, so that's what I'm focusing on." bero-rh

--
Evandro


By Evandro at Wed, 2001/09/19 - 5:00am

Exactly. It's a pain in the ass to rebuild something this big, but I'd kind of like to have it, and it's a way I can give back to the (kick-ass!) KDE releases... I am in no way suprised that they're not going back and rebuilding for old distros, that's why I'm doing it myself.

If you want 'em, who should I notify to make these available "officially" so I don't slam my employer's web server when I get these done? Much easier to have them mirrored by KDE than to chew up our bandwidth when I don't have official permission to offer 'em... ;)


By Ranger Rick at Wed, 2001/09/19 - 5:00am

Evandro: I've read the link. I am very sympathetic with bero, and that only proves that for Red Hat KDE is not a priority, and that it does in fact have all their KDE users in contempt. I suggest you to read my comment in answer to the post by Joni.

Thanks, Eduardo


By Eduardo Sanchez at Wed, 2001/09/19 - 5:00am

No, it simply proves Red Hat developers are busy people with a lot of work to do.

You don't see Red Hat making rpms of the latest GNOME release for Red Hat 7.1.


By Evandro at Wed, 2001/09/19 - 5:00am

One word: VMWARE.

You can probably even backup the actual images after the original install so that you won't have to refresh after each build test.

I know it costs $ but it is one of the most useful pieces of software out there.

I've been an on-again/off-again redhat user/customer since 4.x. I'm never quite satisfied with their releases, but I've been less satisfied with the other dists. (Yes I've tried debian.) Besides little nitpicky things, 7.1 has been great.


By Kevin at Fri, 2001/09/21 - 5:00am

I read the link and dont know how he can call the current release "legacy". You know there are people out there who have many desktop machines running redhat 7.1/kde and would like to upgrade kde the the newest stable version without putting beta software on users PCs. Besides doesnt making users upgrade there OS just to get the newest mail client sound like something Microsoft would do? Im really starting to regret moving from SuSE


By Jon Smith at Thu, 2001/09/20 - 5:00am

Thanks, Joni, for the link. I've read the links, and especially the posting from bero at /.. However, this does not refute anything about the contempt of RH. Bero is doing the best he can to provide packages (although I do not share his logic of prioritizing unstable/testing packages over stable ones). That Red Hat has no problem in throwing the weight of building KDE 2.2.1 packages on a very overworked Bero only means that Red Hat does not care about KDE (and its users) and that neither KDE nor RH desktop users are really a priority to Red Hat.

If Red Hat would really have cared a little bit about KDE 2.2.1 (or 2.2 for that matter) then it would have the 7.1 rpms available in no time, perhaps assigning some other people to help bero with the builds or whatever. But Red Hat does not care, and all that RH 7.1 KDE users receive from Red Hat is contempt.

It is such a pity, because the KDE desktop in such a good distro has been a major selling point, and there are *many* Red Hat KDE users who simply have been turned down. They (we) do not matter for Red Hat; they (we) are just expendable.

Red Hat: Get a clue.


By Eduardo Sanchez at Wed, 2001/09/19 - 5:00am

Okay, I am not a Redhat user, so I may be way off base. But isn't 7.1 the *current* *shipping* version? And Redhat no longer supports it?

There's something seriously wrong here.


By David Johnson at Fri, 2001/09/21 - 5:00am

Nobody said that RedHat isn't supporting 7.1 - in fact, they are. It is just that their philosophy is different from some other vendors in how they support current and past releases. I don't speak for RedHat, but I'm just a customer...

What I see RedHat doing is providing all security patches for their current, and many, many, older releases (typicall going at least as far back as 5.2 which I believe is around 3 years old). They're typically one of the fastest distributors to provide these patches.

What RedHat does not do - and that appears to be the argument here - is provide new *features* for their current releases. Since KDE 2.2.x does not provide security fixes for RH 7.1, RedHat is concentrating on releasing KDE 2.2.1 for the next distribution (currently named roswell). When roswell is finally released (and it's in its 2nd beta now), we'll see a current KDE - one that's been tested and integrated with the rest of the packages.

The role of the distributor is to integrate and test a wide variety of packages, and that's not trivial. This problem becomes exponentially worse if you expect them to test against all the other combinations of packages that may be release along the way.

You are, of course, always welcome to install the updates yourself, as many people are doing...


By Ed Wilts at Fri, 2001/09/21 - 5:00am

Dunno, the Rawhide RPMs work great on 7.1, so I don't know why everyone is upset just cuz the directory says "Rawhide." When Bero packaged 2.2.0, he provided 15 or so RPMs in the "non-kde" directory that made slight updates to a RH7.1 box so that the Rawhide KDE 2.2.0 RPMs could be used.

Now that 2.2.1 is out for Rawhide, I just snagged the new KDE packages and did a straight upgrade. No errors, no problems.


By Joshua Penix at Thu, 2001/09/20 - 5:00am

Very cool! I look forward to trying the improved Konqueror. Hopefully my bank or school site works.

KDE 3.0 will be great. I hope that the GUI feels more responsive with the new QT, and flashing and black boxes on windows are cut down. I prefer KDE to any other environment regardless, though. There are so many advantages.

I like the little useful additions, for example, the calendar that pops up when I hit the clock. That has saved twenty seconds about two hundred times. It makes me feel in command. There are so many features like this.

Great work!


By Benjamin Atkin at Wed, 2001/09/19 - 5:00am

> and flashing and black boxes on windows are cut down.

I'm afraid that those artifact are not caused by kde, but by your XFree86 driver.


By Johan Veenstra at Wed, 2001/09/19 - 5:00am

No I don't think so. It seems to be caused by the KDE window manager. If you run the same program using a different window manager you don't see black boxes. It is most noticable on Mozilla. The KDE window manager must reparent the window somehow and install a black background. It is very annoying and can really make KDE look slow. I hope this gets fixed at some point.


By Nicholas Allen at Sun, 2001/09/23 - 5:00am

Pages